# ChapterWise Codex Template: Screenplay
# =======================================
# This is a starter template for a screenplay project.
# Customize the metadata and replace the placeholder content.
# 
# Documentation: https://chapterwise.app/docs/codex/format

metadata:
  formatVersion: "1.1"
  author: "Your Name"
  created: "2024-01-01"
  description: "A screenplay created with ChapterWise"

# Screenplay Root Entity
id: "my-screenplay"
type: screenplay
name: "Untitled Screenplay"
summary: "Logline: A one or two sentence summary of your story."

# Screenplay-level attributes
attributes:
  - key: genre
    value: "Drama"
  - key: status
    value: "First Draft"
  - key: format
    value: "Feature Film"
  - key: estimated_runtime
    value: "120 minutes"

# Children entities (acts/scenes)
children:
  - id: "act-one"
    type: act
    name: "Act One: Setup"
    summary: "Introduce the world, characters, and inciting incident."
    children:
      - id: "scene-01"
        type: scene
        name: "Scene 1"
        attributes:
          - key: location
            value: "INT. LOCATION - DAY"
        body: |
          FADE IN:
          
          INT. LOCATION - DAY
          
          Description of what we see.
          
          CHARACTER NAME
          Dialogue goes here.

      - id: "scene-02"
        type: scene
        name: "Scene 2"
        attributes:
          - key: location
            value: "EXT. LOCATION - NIGHT"
        body: |
          EXT. LOCATION - NIGHT
          
          Continue your screenplay here.

  - id: "act-two"
    type: act
    name: "Act Two: Confrontation"
    summary: "Rising action and complications."
    children: []

  - id: "act-three"
    type: act
    name: "Act Three: Resolution"
    summary: "Climax and resolution."
    children: []

# Optional: Character definitions
# characters:
#   - id: "hero"
#     type: character
#     name: "HERO"
#     summary: "The protagonist"

